org.jboss.resteasy.plugins.server.tjws

## Class PatchedHttpServletRequest

- java.lang.Object
- - org.jboss.resteasy.util.HttpServletRequestDelegate
  - - org.jboss.resteasy.plugins.server.tjws.PatchedHttpServletRequest

- All Implemented Interfaces:
    javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

      public class PatchedHttpServletRequest
      extends HttpServletRequestDelegate

  fix bug in non-encoded getRequestURI and URL as well as the correct context Path.
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.util.HttpServletRequestDelegate

      `delegate`

    - ### Fields inherited from interface javax.servlet.http.HttpServletRequest

      `BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatchedHttpServletRequest(javax.servlet.http.HttpServletRequest delegate, String contextPath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextPath()`
    `String` | `getRequestURI()`
    `StringBuffer` | `getRequestURL()`

    - ### Methods inherited from class org.jboss.resteasy.util.HttpServletRequestDelegate

      `getAttribute, getAttributeNames, getAuthType, getCharacterEncoding, getContentLength, getContentType, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getInputStream, getIntHeader, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getMethod, getParameter, getParameterMap, getParameterNames, getParameterValues, getPathInfo, getPathTranslated, getProtocol, getQueryString, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRemotePort, getRemoteUser, getRequestDispatcher, getRequestedSessionId, getScheme, getServerName, getServerPort, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isSecure, isUserInRole, removeAttribute, setAttribute, setCharacterEncoding`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.http.HttpServletRequest

      `authenticate, changeSessionId, getPart, getParts, login, logout, upgrade`

    - ### Methods inherited from interface javax.servlet.ServletRequest

      `getAsyncContext, getContentLengthLong, getDispatcherType, getServletContext, isAsyncStarted, isAsyncSupported, startAsync, startAsync`

- - ### Constructor Detail

    - #### PatchedHttpServletRequest

          public PatchedHttpServletRequest(javax.servlet.http.HttpServletRequest delegate,
                                   String contextPath)

  - ### Method Detail

    - #### getContextPath

          public String getContextPath()

      Specified by:
        `getContextPath` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getContextPath` in class `HttpServletRequestDelegate`

    - #### getRequestURI

          public String getRequestURI()

      Specified by:
        `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getRequestURI` in class `HttpServletRequestDelegate`

    - #### getRequestURL

          public StringBuffer getRequestURL()

      Specified by:
        `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`
      Overrides:
        `getRequestURL` in class `HttpServletRequestDelegate`

Copyright © 2014. All Rights Reserved.